# $EPIC: leave,v 1.2 2000/10/19 18:32:07 jsb Exp $

Synopsis:
   on [<modes>]leave [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever a client (the user's or any other) is
   observed leaving a channel (but not signing off from irc).

Parameters:
   $0    the nickname of the person leaving the channel
   $1    the channel left by the person
   $2    the userhost of the person leaving the channel
   $3-   the reason the channel is left (on servers that support reasons)

Examples:
   To distinguish the client from other users leaving a channel:
      on ^leave "*" {
         if ( [$0] == N ) {
            xecho -b You have left channel $1 ${[$3] ? [\($3-\)] : []}
         } {
            xecho -b $0 \($2\) has left channel $1 ${[$3] ? [\($3-\)] : []}
         }
      }

See Also:
   part(1); userhost(6)

